import { _Widget } from "./WidgetContext";
import { MapOf } from "@implab/core-amd/interfaces";
import { prototype } from "../declare";

/** Special widget used to create a document fragment */
export class DjxFragment implements _Widget {

    @prototype()
    domNode: Node;

    containerNode?: Node;

    constructor() {
        this.domNode = this.containerNode = document.createDocumentFragment();
    }

    get(attr: string) {
        return undefined;
    }
    set(attr: string, value: any): void;
    set(attrs: MapOf<any>): void;
    set() {
        /* do nothing */
    }
}